VisualEditor: Snowmen appear near newly added references
Closed, ResolvedPublic

Description

See last line of this diff: https://fr.wikipedia.org/w/index.php?title=T%C3%A9l%C3%A9com_SudParis&diff=next&oldid=97023702 .

Steps to reproduce, as provided by user: Seudo.

  1. Go to https://fr.wikipedia.org/wiki/Cumul_des_mandats_en_France - you don't need to save later
  2. Click on Modifier
  3. Place the cursor after the words « exercice simultané de mandats » (5th line, I think)
  4. Click "Plus->Référence"
  5. Write something in the dialog, i.e. "toto."
  6. Save the reference
  7. Click at the left or at the right of the newly added reference
  8. Watch pawns multiplyin' as you keep clicking.

Suedo adds that in his console Web he also got a Javascript error, TypeError: group.firstNodes[index2] is undefined (load.php:54) .

I was able to reproduce this as well, but only with FF (exactly like Seudo), only in the actual article - not in my sandbox - and only clicking at the left of the word. The user reports instead that this might happen at any point in the page.

My edits in the sandbox could not reproduce the issue but generated https://bugzilla.wikimedia.org/show_bug.cgi?id=54341 instead.

Thanks.


Version: unspecified
Severity: critical
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=54976

bzimport set Reference to bz54712.
Elitre created this task.Via LegacySep 27 2013, 4:20 PM
Elitre added a comment.Via ConduitSep 27 2013, 4:28 PM

A last comment from the user,
<<[...] Sometimes the following error appears, "Javascript Error: Cannot open another window while another one is active". Sometimes the text of the page breaks down completely and the browser gets stuck.
Do not try to look at what's on line 54 of load.php, you'll give up quickly :-)>>

bzimport added a comment.Via ConduitSep 27 2013, 4:49 PM

seudeau wrote:

*** Bug 54708 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitSep 27 2013, 4:50 PM

seudeau wrote:

That looks like
https://bugzilla.wikimedia.org/show_bug.cgi?id=53642, which is quite old
though.

I also tried to reproduced in a user-specific test page, but couldn't.

Elitre added a comment.Via ConduitOct 1 2013, 4:00 PM

Please replace the word "pawns" with "snowmen". Sorry for the confusion.

Thryduulf added a comment.Via ConduitOct 1 2013, 4:06 PM

An instance of this from en.wp. David Gerard reports:

Dig this: https://en.wikipedia.org/w/index.php?title=OpenOffice.org&diff=575290819&oldid=575267859
What I was trying to do was add PladaoOffice and a reference link, which appeared to add correctly in the VE. Then I noticed there was a full stop after "SunShine Office", so I clicked on it to put the cursor there, and VE added a pile of "☃☃☃☃☃☃☃☃☃☃☃☃☃☃☃☃☃☃☃☃", and more each time I clicked again. Note also that my carefully constructed reference is gone, leaving only "<ref name=":0" />", and it's added another spurious one of those higher up

bzimport added a comment.Via ConduitOct 1 2013, 4:23 PM

dgerard wrote:

My edit above to [[OpenOffice.org]] was in Firefox 24.0, Ubuntu 12.04 distro version.

bzimport added a comment.Via ConduitOct 3 2013, 8:30 AM

dgerard wrote:

Could this please have a priority assigned? Other editors are finding it a blocker to editing with references:

This bug is really annoying! Every time I add a new reference I can't do anything after it because whatever I click on my keyboard the snowmen appear! Even clicking backspace to delete them multiplies them along with already existing text! Only way to get out of there is to cancel my edit and lose the work I've done! :/ Basically, VE can't be used almost at all at this point, since every addition to an article has to have a reference too! Is there any information about when this bug will get fixed? TeamGale 04:35, 3 October 2013 (UTC)

bzimport added a comment.Via ConduitOct 3 2013, 8:26 PM

dgerard wrote:

Same for me too, it appears literally impossible to add a reference without snowmen and a bogus reference tag (FF 24.0, Windows 7):

https://en.wikipedia.org/w/index.php?title=X_Window_System&diff=575630218&oldid=575623976

Thryduulf added a comment.Via ConduitOct 3 2013, 8:33 PM

Being able to add references without corrupting the article is a core requirement. Updating the severity to critical.

Catrope added a comment.Via ConduitOct 3 2013, 8:40 PM

I was able to reproduce this on that frwiki article just now. I get the same error about group.firstNodes[group2] being undefined. Investigating further.

Jdforrester-WMF added a comment.Via ConduitOct 3 2013, 9:28 PM
  • Bug 54917 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitOct 3 2013, 9:46 PM

Change 87455 had a related patch set uploaded by Catrope:
When cloning the InternalList, pass through properties that aren't rebuilt

https://gerrit.wikimedia.org/r/87455

gerritbot added a comment.Via ConduitOct 3 2013, 9:51 PM

Change 87458 had a related patch set uploaded by Jforrester:
When cloning the InternalList, pass through properties that aren't rebuilt

https://gerrit.wikimedia.org/r/87458

gerritbot added a comment.Via ConduitOct 3 2013, 9:51 PM

Change 87459 had a related patch set uploaded by Jforrester:
When cloning the InternalList, pass through properties that aren't rebuilt

https://gerrit.wikimedia.org/r/87459

gerritbot added a comment.Via ConduitOct 3 2013, 9:51 PM

Change 87455 merged by jenkins-bot:
When cloning the InternalList, pass through properties that aren't rebuilt

https://gerrit.wikimedia.org/r/87455

gerritbot added a comment.Via ConduitOct 3 2013, 11:13 PM

Change 87458 merged by jenkins-bot:
When cloning the InternalList, pass through properties that aren't rebuilt

https://gerrit.wikimedia.org/r/87458

gerritbot added a comment.Via ConduitOct 3 2013, 11:14 PM

Change 87459 merged by jenkins-bot:
When cloning the InternalList, pass through properties that aren't rebuilt

https://gerrit.wikimedia.org/r/87459

Catrope added a comment.Via ConduitOct 3 2013, 11:32 PM

(In reply to comment #12)

Change 87455 had a related patch set uploaded by Catrope:
When cloning the InternalList, pass through properties that aren't rebuilt

https://gerrit.wikimedia.org/r/87455

I just deployed this change, and the article linked in comment 0 now works for me on frwiki.

Jdforrester-WMF added a comment.Via ConduitOct 5 2013, 1:31 AM
  • Bug 54976 has been marked as a duplicate of this bug. ***
AKoval_WMF added a comment.Via ConduitFeb 12 2014, 6:31 PM

Um, folks, this may be happening again... please see bug:61272...

Elitre added a comment.Via ConduitJul 23 2014, 8:23 PM

I believe this is happening again at it.wp.
See https://it.wikipedia.org/w/index.php?title=AA.VV.&diff=prev&oldid=67188720 (snowmen) or https://it.wikipedia.org/w/index.php?title=Utente:Elitre_(WMF)/Pagina_delle_prove_VE&diff=next&oldid=67195802 (pawn).
What you need to reproduce: just create a base reference, add the template Cita, add something as its first parameter, then hit Space/type something else in the reference before saving.

Jdforrester-WMF added a comment.Via ConduitJul 26 2014, 2:25 AM

(In reply to Elitre from comment #22)

More examples from it.wp:
https://it.wikipedia.org/w/index.
php?title=Natale_Ciravolo&diff=67212907&oldid=67197341 ,
https://it.wikipedia.org/w/index.php?title=Utente:Nnvu/
Sandbox1&diff=prev&oldid=67108020 .

This is bug 67992 I think.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.